package aoc2022

import listOfIntegerLists
import println
import readInput

fun main() {
    fun part1(input: List<String>): Int {
        return listOfIntegerLists(input).map { it.sum() }.max()
    }

    fun part2(input: List<String>): Int {
        return listOfIntegerLists(input).map { it.sum() }.sortedDescending().take(3).sum()
    }

    // test if implementation meets criteria from the description, like:
    val testInput = readInput("Day01")
    check(part1(testInput) == 69836)

    val input = readInput("Day01")
    part1(input).println()
    part2(input).println()
}
